FROM openshift/golang-builder@sha256:ab1bfcb9d06b339cb767acb804e6aa82eb23cd0795e6f82af54e92c312a32777
ENV __doozer=update BUILD_RELEASE=202201211922.p0.g9404d34.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202201211922.p0.g9404d34.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=9404d34 OS_GIT_VERSION=4.7.0-202201211922.p0.g9404d34.assembly.stream-9404d34 SOURCE_DATE_EPOCH=1610625384 SOURCE_GIT_COMMIT=9404d343c020fd1806691704f64d930c779ad639 SOURCE_GIT_TAG=9404d343 SOURCE_GIT_URL=https://github.com/openshift/csi-driver-nfs 
COPY . /go/src/github.com/openshift/csi-driver-nfs
RUN cd /go/src/github.com/openshift/csi-driver-nfs && \
    go build -o /go/src/github.com/openshift/csi-driver-nfs/nfsplugin cmd/nfsplugin/main.go

FROM openshift/ose-base:v4.7.0-202201082234.p0.g0e45f63.assembly.stream
ENV __doozer=update BUILD_RELEASE=202201211922.p0.g9404d34.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202201211922.p0.g9404d34.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=9404d34 OS_GIT_VERSION=4.7.0-202201211922.p0.g9404d34.assembly.stream-9404d34 SOURCE_DATE_EPOCH=1610625384 SOURCE_GIT_COMMIT=9404d343c020fd1806691704f64d930c779ad639 SOURCE_GIT_TAG=9404d343 SOURCE_GIT_URL=https://github.com/openshift/csi-driver-nfs 

COPY --from=0 /go/src/github.com/openshift/csi-driver-nfs/nfsplugin /usr/bin/

RUN yum -y install nfs-utils && yum -y install jq && yum clean all

ENTRYPOINT ["/usr/bin/nfsplugin"]

LABEL \
        name="openshift/ose-csi-driver-nfs" \
        com.redhat.component="csi-driver-nfs-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Installer" \
        io.openshift.maintainer.subcomponent="OpenShift on OpenStack" \
        release="202201211922.p0.g9404d34.assembly.stream" \
        io.openshift.build.commit.id="9404d343c020fd1806691704f64d930c779ad639" \
        io.openshift.build.source-location="https://github.com/openshift/csi-driver-nfs" \
        io.openshift.build.commit.url="https://github.com/openshift/csi-driver-nfs/commit/9404d343c020fd1806691704f64d930c779ad639" \
        version="v4.7.0"

